\version "2.16.0"
#(ly:set-option 'relative-includes #t)
#(set-global-staff-size 14)

\include "Language.ily"
\include "commons/Specials.ily"
\include "commons/Definitions.ily"
%\include "commons/Scenics.ily"
\include "commons/Pages.ily"
\include "commons/livret-columns.ily"

\book {
  \paper {
    print-page-number = ##f
    first-page-number = -3
  }

\bookpart {
  \paper {
    evenHeaderMarkup = \markup \fill-line { " " }
  }
  \header {
    title = \markup { \fromproperty #'header:myTitle }
    instrument = "Urtext"
  }
  \markup \null \pageBreak \markup \null
}

\bookpart { %%%Table des matières
  \paper {
    print-page-number = ##f
  }

  \header {
    title = ""
  }

  \markuplist { \wordwrap-lines { \table-of-contents }}
  \pageBreak \markup \null
} %ends ToC

\bookpart { %%Reproduction
  \paper {
    #(define page-breaking ly:minimal-breaking)
    footnote-auto-number = ##f
    print-page-number = ##t
    bottom-margin = 14\mm
  }
  \header {
    instrument = \markup { \override #'(baseline-skip . 4) {
      \transparent \column { I II }}}
    }

  \tocItem \Introduction 

  \include "Editorials/Repro/Introduction.ily"
}

\bookpart { %%Reproduction
  \paper {
    #(define page-breaking ly:minimal-breaking)
    footnote-auto-number = ##f
    print-page-number = ##t
    bottom-margin = 14\mm
  }
  \header {
    instrument = \markup { \override #'(baseline-skip . 4) {
      \transparent \column { I II }}}
    }

  \tocItem \Dedication 

  \include "Editorials/Repro/Dedication.ily"
}

\bookpart { %%Libretto
  \paper {
    #(define page-breaking ly:minimal-breaking)
    print-page-number = ##t
    top-markup-spacing =
      #'((basic-distance . 4)
         (minimum-distance . 4)
         (padding . 4)
         (stretchability . 0))
    bottom-margin = 14\mm
  }

  \tocItem \Libretto 

  \include "Editorials/Repro/Livret.ily"
\markup \null
}


%%%%%%%%%%%%%% OVERTURE %%%%%%%%%%%%%%%%
\bookpart { 
  \paper {
    print-page-number = ##t
  }
  \header {
    title = \Overture
  }
  \tocAct \markup { \sep }
  \include "Act0/A_Urtext.ily"

} % ends bookpart Overture


%%%%%%%%%%%%%%%%%% ACT I %%%%%%%%%%%%%%%%%%
\bookpart { 
  \paper {
    print-page-number = ##t
  }

  \tocAct \ActOne
  \header {
    title = \ActOne
  }

  \include "Act1/Urtext.ily"

} %%% ends bookpart ACT I


%%%%%%%%%%%%%%%%%% ACT II %%%%%%%%%%%%%%%%%%
\bookpart { 
  \paper {
    print-page-number = ##t
  }

  \tocAct \ActTwo

  \header {
    title = \ActTwo
  }

  \include "Act2/Urtext.ily"

} %ends bookpart ACT II


%%%%%%%%%%%%%%%%%% ACT III %%%%%%%%%%%%%%%%%%
\bookpart {
  \paper {
    print-page-number = ##t
  }

  \tocAct \ActThree

  \header {
    title = \ActThree
  }

  \include "Act3/Urtext.ily"

} %ends bookpart ACT III


%%%%%%%%%%%%%%%%%% ACT IV %%%%%%%%%%%%%%%%%%
\bookpart {
  \paper {
    print-page-number = ##t
  }

  \tocAct \ActFour
  \header {
    title = \ActFour
  }

  \include "Act4/Urtext.ily"

} %ends bookpart ACT IV


%%%%%%%%%%%%%%%%%% ACT V %%%%%%%%%%%%%%%%%%
\bookpart {
  \paper {
    print-page-number = ##t
  }

  \tocAct \ActFive

  \header {
    title = \ActFive
  }

  \include "Act5/Urtext.ily"

} %ends bookpart ACT V


\bookpart { %% EXTRAS
  \paper {
    print-page-number = ##t
  }

  \tocAct \Appendx
  \header {
    title = \Appendx
  }

  \include "Act0/Z_Urtext.ily"
} %ends extras

\bookpart { %%Corrections
  \paper {
    print-page-number = ##f
    #(define page-breaking ly:minimal-breaking)
  }

%  \tocAct " "
  \tocItem \markup { \smallCaps \FNotes }

  \include "Editorials/Corrections/Full.ily"
}

} %ENDS BOOK